#include "misc.h"

wxString bool2W(bool in)
{
	if (in)
		return wxString("true");
	else
		return wxString("false");
}

bool W2bool(wxString in)
{
	return (in == "true");
}

wxString op2W(int in)
{
	switch (in)
	{
		case AND: return "AND"; break;
		case OR: return "OR"; break;
		default: return "AND";break;
	};
}
	
int W2op(wxString in)
{
	if (in == "AND")
		return AND;
	else if (in == "OR")
		return OR;
	return AND;
}

wxDateTime int2date(int in)
{
	wxDateTime out;
	out.ParseFormat(_itoW(in), "%Y%m%d");
	return out;
}

int date2int(wxDateTime in)
{
	return wxAtoi(in.Format("%Y%m%d"));
}