#ifndef __misc__
#define __misc__

#include <wx/string.h>
#include <wx/datetime.h>

#ifdef __WXGTK__
	#define slash "/"
#elif defined( __WXMSW__ )
	#define slash "\\"
#endif
#define _C(string) (const char*) string.c_str() // wxString -> char*
#define _itoW(integer) wxString::Format("%i",integer) // int -> wxString

enum
{
	AND=0,
	OR=1,
};

wxString bool2W(bool in);
bool W2bool(wxString in);
wxString op2W(int in);
int W2op(wxString in);
wxDateTime int2date(int in);
int date2int(wxDateTime in);

/*              CSV        	BDD        GRID
id				 0			 0			13
n_dossier		 1			 1			 4
nom				 3			 2			 5
prenom			 4			 3			 6
service			 6			10			 /
etablissement	 7			 7			10
travail			12			 8			11
thème			13			 6			 9
responsable		19			 4			 7
consultant		20			 5			 8
date			21			 9			12
==========================================
resultats					 4			 0
publi						 1			 1
publi_CHU					 2			 2
cs_associe					 3			 3
*/


#endif //__misc__