#ifndef __recherche__
#define __recherche__

#pragma GCC diagnostic ignored "-Wunused-function"

#include <wx/msgdlg.h>
#include <wx/grid.h>
#include <curl/curl.h>
#include <ctime>
#include "bdd.h"
#include "config.h"
#include "tinyxml2.h"

using namespace tinyxml2;

typedef struct _CurlData {
  char *content;
  size_t size;
} CurlData;

class class_recherche
{
private:
	class_config* config;
	class_bdd* bdd;
	wxGrid* grid_consults;
	
	int nb_results;
	wxArrayString list_id_results;
	
	CURL* curl_handle;
	CurlData curl_data;
	
	void Go(int row, rule regle);
	void eSearch(wxString requete);
	void ParseSearch();
	void eFetch();
	void ParseFetch();
	wxString Build(int row, rule regle);
	wxString ParseDemandeur(wxString nom, wxString prenom, int op);
	wxString ParseResponsable(wxString responsable, int op);
	wxString ParseConsultant(wxString consultant);
	
public:
	class_recherche(class_config* config, class_bdd* bdd, wxGrid* grid_consults);
	~class_recherche();
	
	void Start();
	
};

static size_t WriteDataCallback(void *contents, size_t size, size_t nmemb, void *userp);

#endif //__recherche__